oasis.names.tc.saml._2_0.assertion

## Class AuthnStatement

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.StatementAbstractType
  - - oasis.names.tc.saml._2_0.assertion.AuthnStatement

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class AuthnStatement
      extends StatementAbstractType
      implements Serializable

  Java class for AuthnStatementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnStatementType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectLocality" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContext"/>
             </sequence>
             <attribute name="AuthnInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="SessionIndex" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="SessionNotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnStatement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthnContext` | `getAuthnContext()` Gets the value of the authnContext property.
    `org.joda.time.DateTime` | `getAuthnInstant()` Gets the value of the authnInstant property.
    `String` | `getSessionIndex()` Gets the value of the sessionIndex property.
    `org.joda.time.DateTime` | `getSessionNotOnOrAfter()` Gets the value of the sessionNotOnOrAfter property.
    `SubjectLocality` | `getSubjectLocality()` Gets the value of the subjectLocality property.
    `void` | `setAuthnContext(AuthnContext value)` Sets the value of the authnContext property.
    `void` | `setAuthnInstant(org.joda.time.DateTime value)` Sets the value of the authnInstant property.
    `void` | `setSessionIndex(String value)` Sets the value of the sessionIndex property.
    `void` | `setSessionNotOnOrAfter(org.joda.time.DateTime value)` Sets the value of the sessionNotOnOrAfter property.
    `void` | `setSubjectLocality(SubjectLocality value)` Sets the value of the subjectLocality property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthnStatement

          public AuthnStatement()

  - ### Method Detail

    - #### getSubjectLocality

          public SubjectLocality getSubjectLocality()

      Gets the value of the subjectLocality property.
      Returns:
        possible object is `SubjectLocality`

    - #### setSubjectLocality

          public void setSubjectLocality(SubjectLocality value)

      Sets the value of the subjectLocality property.
      Parameters:
        `value` - allowed object is `SubjectLocality`

    - #### getAuthnContext

          public AuthnContext getAuthnContext()

      Gets the value of the authnContext property.
      Returns:
        possible object is `AuthnContext`

    - #### setAuthnContext

          public void setAuthnContext(AuthnContext value)

      Sets the value of the authnContext property.
      Parameters:
        `value` - allowed object is `AuthnContext`

    - #### getAuthnInstant

          public org.joda.time.DateTime getAuthnInstant()

      Gets the value of the authnInstant property.
      Returns:
        possible object is `String`

    - #### setAuthnInstant

          public void setAuthnInstant(org.joda.time.DateTime value)

      Sets the value of the authnInstant property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSessionIndex

          public String getSessionIndex()

      Gets the value of the sessionIndex property.
      Returns:
        possible object is `String`

    - #### setSessionIndex

          public void setSessionIndex(String value)

      Sets the value of the sessionIndex property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSessionNotOnOrAfter

          public org.joda.time.DateTime getSessionNotOnOrAfter()

      Gets the value of the sessionNotOnOrAfter property.
      Returns:
        possible object is `String`

    - #### setSessionNotOnOrAfter

          public void setSessionNotOnOrAfter(org.joda.time.DateTime value)

      Sets the value of the sessionNotOnOrAfter property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.